Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XXYYZZ\>\"", RowBox[{"(*", "Change XXYYZZ to the UID of your Servo Brick", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"servo", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickServo\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Configure two servos with voltage 5.5V", "*)"}],
   RowBox[{"(*", "Servo 1: Connected to port 0, period of 19.5ms, pulse width of 1 to 2ms", "*)"}],
   RowBox[{"(*", "         and operating angle -100 to 100\.b0", "*)"}],
   RowBox[{"(*", "Servo 2: Connected to port 5, period of 20ms, pulse width of 0.95 ", "*)"}],
   RowBox[{"(*", "         to 1.95ms and operating angle -90 to 90\.b0", "*)"}],
   RowBox[{"servo", "@", RowBox[{"SetOutputVoltage", "[", "5500", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"servo", "@", RowBox[{"SetDegree", "[", RowBox[{"0", ",", RowBox[{"-", "10000"}], ",", "10000"}], "]"}]}],
   RowBox[{"servo", "@", RowBox[{"SetPulseWidth", "[", RowBox[{"0", ",", "1000", ",", "2000"}], "]"}]}],
   RowBox[{"servo", "@", RowBox[{"SetPeriod", "[", RowBox[{"0", ",", "19500"}], "]"}]}],
   RowBox[{"servo", "@", RowBox[{"SetAcceleration", "[", RowBox[{"0", ",", "1000"}], "]"}], RowBox[{"(*", "Slow acceleration", "*)"}]}],
   RowBox[{"servo", "@", RowBox[{"SetVelocity", "[", RowBox[{"0", ",", "65535"}], "]"}], RowBox[{"(*", "Full speed", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"servo", "@", RowBox[{"SetDegree", "[", RowBox[{"5", ",", RowBox[{"-", "9000"}], ",", "9000"}], "]"}]}],
   RowBox[{"servo", "@", RowBox[{"SetPulseWidth", "[", RowBox[{"5", ",", "950", ",", "1950"}], "]"}]}],
   RowBox[{"servo", "@", RowBox[{"SetPeriod", "[", RowBox[{"5", ",", "20000"}], "]"}]}],
   RowBox[{"servo", "@", RowBox[{"SetAcceleration", "[", RowBox[{"5", ",", "65535"}], "]"}], RowBox[{"(*", "Full acceleration", "*)"}]}],
   RowBox[{"servo", "@", RowBox[{"SetVelocity", "[", RowBox[{"5", ",", "65535"}], "]"}], RowBox[{"(*", "Full speed", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"servo", "@", RowBox[{"SetPosition", "[", RowBox[{"0", ",", "10000"}], "]"}], RowBox[{"(*", "Set to most right position", "*)"}]}],
   RowBox[{"servo", "@", RowBox[{"Enable", "[", "0", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"servo", "@", RowBox[{"SetPosition", "[", RowBox[{"5", ",", RowBox[{"-", "9000"}]}], "]"}], RowBox[{"(*", "Set to most left position", "*)"}]}],
   RowBox[{"servo", "@", RowBox[{"Enable", "[", "5", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"servo", "@", RowBox[{"Disable", "[", "0", "]"}]}],
   RowBox[{"servo", "@", RowBox[{"Disable", "[", "5", "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "servo", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
