Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Hall Effect Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"he", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletHallEffect\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for edge count callback", "*)"}],
   RowBox[{RowBox[{"EdgeCountCB", "[", RowBox[{"sender_", ",", "edgeCount_", ",", "value_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Edge Count: \>\"", "<>", RowBox[{"ToString", "[", "edgeCount", "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"he", "@", "EdgeCountCallback"}], ",", "EdgeCountCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Set period for edge count callback to 0.05s (50ms)", "*)"}],
   RowBox[{"(*", "Note: The edge count callback is only called every 0.05 seconds", "*)"}],
   RowBox[{"(*", "if the edge count has changed since the last call!", "*)"}],
   RowBox[{"he", "@", RowBox[{"SetEdgeCountCallbackPeriod", "[", "50", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "he", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
