Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Joystick Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"j", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletJoystick\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get threshold callbacks with a debounce time of 0.2 seconds (200ms)", "*)"}],
   RowBox[{"j", "@", RowBox[{"SetDebouncePeriod", "[", "200", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for position reached callback", "*)"}],
   RowBox[{RowBox[{"PositionReachedCB", "[", RowBox[{"sender_", ",", "x_", ",", "y_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"y", "==", "100"}], ",", RowBox[{"Print", "[", "\"\<Top\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"y", "==", "-", "100"}], ",", RowBox[{"Print", "[", "\"\<Bottom\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"x", "==", "100"}], ",", RowBox[{"Print", "[", "\"\<Right\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"x", "==", "-", "100"}], ",", RowBox[{"Print", "[", "\"\<Left\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"j", "@", "PositionReachedCallback"}], ",", "PositionReachedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Configure threshold for position ", "\"\<outside of -99, -99 to 99, 99\>\"", "", "*)"}],
   RowBox[{"option", "=", "Tinkerforge`BrickletJoystick`THRESHOLDUOPTIONUOUTSIDE"}],
   RowBox[{"j", "@", RowBox[{"SetPositionCallbackThreshold", "[", RowBox[{"option", ",", RowBox[{"-", "99"}], ",", "99", ",", RowBox[{"-", "99"}], ",", "99"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "j", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
