Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Real-Time Clock Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"rtc", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletRealTimeClock\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for date and time callback", "*)"}],
   RowBox[{RowBox[{"DateTimeCB", "[", RowBox[{"sender_", ",", "year_", ",", "month_", ",", "day_", ",", "hour_", ",", "minute_", ",", "second_", ",", "centisecond_", ",", "weekday_", ",", RowBox[{"\[IndentingNewLine]", "timestamp_"}]}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Year: \>\"", "<>", RowBox[{"ToString", "[", "year", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Month: \>\"", "<>", RowBox[{"ToString", "[", "month", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Day: \>\"", "<>", RowBox[{"ToString", "[", "day", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Hour: \>\"", "<>", RowBox[{"ToString", "[", "hour", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Minute: \>\"", "<>", RowBox[{"ToString", "[", "minute", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Second: \>\"", "<>", RowBox[{"ToString", "[", "second", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Centisecond: \>\"", "<>", RowBox[{"ToString", "[", "centisecond", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Weekday: \>\"", "<>", RowBox[{"ToString", "[", "weekday", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Timestamp: \>\"", "<>", RowBox[{"ToString", "[", "timestamp", "]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"rtc", "@", "DateTimeCallback"}], ",", "DateTimeCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Set period for date and time callback to 5s (5000ms)", "*)"}],
   RowBox[{"(*", "Note: The date and time callback is only called every 5 seconds", "*)"}],
   RowBox[{"(*", "if the date and time has changed since the last call!", "*)"}],
   RowBox[{"rtc", "@", RowBox[{"SetDateTimeCallbackPeriod", "[", "5000", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "rtc", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
