Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Remote Switch Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"rs", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletRemoteSwitch\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Switch on a type A socket with house code 17 and receiver code 1.", "*)"}],
   RowBox[{"(*", "House code 17 is 10001 in binary (least-significant bit first)", "*)"}],
   RowBox[{"(*", "and means that the DIP switches 1 and 5 are on and 2-4 are off.", "*)"}],
   RowBox[{"(*", "Receiver code 1 is 10000 in binary (least-significant bit first)", "*)"}],
   RowBox[{"(*", "and means that the DIP switch A is on and B-E are off.", "*)"}],
   RowBox[{"rs", "@", RowBox[{"SwitchSocketA", "[", RowBox[{"17", ",", "1", ",", "Tinkerforge`BrickletRemoteSwitch`SWITCHUTOUON"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "rs", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
